summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Behnel <stefan_ml@behnel.de>2020-10-17 11:35:57 +0200
committerStefan Behnel <stefan_ml@behnel.de>2020-10-17 11:35:57 +0200
commitff946adb409b7eb156e30a1259215fac037fe0e0 (patch)
tree6939bed8845dab02ea39fd14a88d15136704548b
parentf10279931121074370c0968b988137550d0f7ee4 (diff)
downloadpython-lxml-ff946adb409b7eb156e30a1259215fac037fe0e0.tar.gz
Make wheel build fail more quickly if anything goes wrong along the way.
-rwxr-xr-xtools/manylinux/build-wheels.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tools/manylinux/build-wheels.sh b/tools/manylinux/build-wheels.sh
index be0f087b..65d76029 100755
--- a/tools/manylinux/build-wheels.sh
+++ b/tools/manylinux/build-wheels.sh
@@ -27,7 +27,7 @@ build_wheel() {
run_tests() {
# Install packages and test
for PYBIN in /opt/python/*/bin/; do
- ${PYBIN}/python -m pip install $PACKAGE --no-index -f /io/$WHEELHOUSE
+ ${PYBIN}/python -m pip install $PACKAGE --no-index -f /io/$WHEELHOUSE || exit 1
# check import as a quick test
(cd $HOME; ${PYBIN}/python -c 'import lxml.etree, lxml.objectify')
@@ -36,7 +36,7 @@ run_tests() {
prepare_system() {
#yum install -y zlib-devel
- rm -fr /opt/python/cp34-*
+ #rm -fr /opt/python/cp34-*
echo "Python versions found: $(cd /opt/python && echo cp* | sed -e 's|[^ ]*-||g')"
${CC:-gcc} --version
}
@@ -60,13 +60,13 @@ build_wheels() {
if [ "$(uname -m)" == "aarch64" ]; then FIRST=$THIRD; else FIRST=$SECOND; fi
SECOND=$THIRD
done
- wait
+ wait || exit 1
}
repair_wheels() {
# Bundle external shared libraries into the wheels
for whl in /io/$WHEELHOUSE/${SDIST_PREFIX}-*.whl; do
- auditwheel repair $whl -w /io/$WHEELHOUSE
+ auditwheel repair $whl -w /io/$WHEELHOUSE || exit 1
done
}